summaryrefslogtreecommitdiff
path: root/t/ax/am-test-lib.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-24 20:54:41 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-24 20:54:41 +0200
commit74c1336d0ccc7549e87839ae1f1036751d3f667a (patch)
treeebe2f72dd9e26f4fe68d268034bcc327e0ad8719 /t/ax/am-test-lib.sh
parentf6b9a22e7e7de330961cecdb55dbfcf15bb7e3c9 (diff)
downloadautomake-74c1336d0ccc7549e87839ae1f1036751d3f667a.tar.gz
tests: rename $am_make_rc_got -> $am_make_rc
The latter is more natural More importantly, I keep misspelling the former over and over. * t/ax/am-test-lib.sh (run_make): Update. * t/ax/tap-summary-aux.sh: Adjust. * t/ax/testsuite-summary-checks.sh: Likewise. * t/parallel-tests-exit-statuses.sh: Likewise. * t/parallel-tests-extra-programs.sh: Likewise. * t/parallel-tests-fd-redirect-exeext.sh: Likewise. * t/parallel-tests-fd-redirect.sh: Likewise. * t/parallel-tests-fork-bomb.sh: Likewise. * t/parallel-tests-no-spurious-summary.sh: Likewise. * t/parallel-tests-recheck-pr11791.sh: Likewise. * t/parallel-tests-reset-term.sh: Likewise. * t/tap-signal.tap: Likewise. * t/test-driver-acsubst.sh: Likewise. * t/test-driver-cond.sh: Likewise. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/ax/am-test-lib.sh')
-rw-r--r--t/ax/am-test-lib.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/t/ax/am-test-lib.sh b/t/ax/am-test-lib.sh
index 7aed3ee1a..3c6e8038f 100644
--- a/t/ax/am-test-lib.sh
+++ b/t/ax/am-test-lib.sh
@@ -188,14 +188,14 @@ run_make ()
am__make_redirect_stderr=no
am__make_redirect_stdall=no
am__make_flags=
- # Follow-up code might want to analyse these, so don't make them as
- # private, nor unset them later.
- am_make_rc_exp=0
- am_make_rc_got=0
+ am__make_rc_exp=0
+ # Follow-up code might want to analyse this, so mark is as
+ # publicly accessible (no double undesrscore).
+ am_make_rc=0
# Parse options for this function.
while test $# -gt 0; do
case $1 in
- -e) am_make_rc_exp=$2; shift;;
+ -e) am__make_rc_exp=$2; shift;;
-O) am__make_redirect_stdout=yes;;
-E) am__make_redirect_stderr=yes;;
-M) am__make_redirect_stdall=yes;;
@@ -269,9 +269,9 @@ run_make ()
fi
fi
exec $MAKE ${1+"$@"}
- ) || am_make_rc_got=$?
+ ) || am_make_rc=$?
- if test $am_make_rc_got -eq 253; then
+ if test $am_make_rc -eq 253; then
fatal_ "run_make: problems in redirecting make output"
fi
@@ -286,17 +286,17 @@ run_make ()
fi
fi
- case $am_make_rc_exp in
+ case $am__make_rc_exp in
IGNORE)
: Ignore exit status
;;
FAIL)
- test $am_make_rc_got -gt 0 || return 1
+ test $am_make_rc -gt 0 || return 1
;;
*)
- test $am_make_rc_exp -ge 0 && test $am_make_rc_exp -le 255 \
- || fatal_ "invalid expected exit status: '$am_make_rc_exp'"
- test $am_make_rc_exp -eq $am_make_rc_got || return 1
+ test $am__make_rc_exp -ge 0 && test $am__make_rc_exp -le 255 \
+ || fatal_ "invalid expected exit status: '$am__make_rc_exp'"
+ test $am_make_rc -eq $am__make_rc_exp || return 1
;;
esac
}